| DocBook: The Definitive Guide 2.0.17 (Alpha)

# mousebutton

$Revision$

$Date$

mousebutton — The conventional name of a mouse button

## Synopsis

### Mixed Content Model

    mousebutton ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

The `MouseButton` element identifies the conventional name of a mouse button. Because mouse buttons are not physically labelled, the name is just that, a convention. Adding explicit markup for the naming of mouse buttons allow easier translation from one convention to another and might allow an online system to adapt to right- or left-handed usage.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Parents

These elements contain mousebutton: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `keycombo`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `shortcut`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in mousebutton: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `MouseButton`.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `keysym`, `menuchoice`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Select a region of text by dragging the mouse pointer with the
    <mousebutton>left</mousebutton> mouse button depressed.  Copy the
    selected text to a new location by placing the mouse pointer at the
    desired position and pressing the <mousebutton>middle</mousebutton>
    button.
    </para>

Select a region of text by dragging the mouse pointer with the left mouse button depressed. Copy the selected text to a new location by placing the mouse pointer at the desired position and pressing the middle button.

For additional examples, see also `keycombo`.

modifier |  | msg

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.